# Method: accounts.credentials.create

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.credentials/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.credentials/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.credentials/create#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.credentials/create#body.response_body)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.credentials/create#body.aspect)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.credentials/create#try-it)

Uploads credentials for the Merchant Center account. If credentials already exist for this Merchant Center account and purpose, this method updates them.

### HTTP request

`POST https://shoppingcontent.googleapis.com/content/v2.1/accounts/{accountId}/credentials`

### Path parameters

| Parameters ||
|---|---|
| `accountId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The merchant id of the account these credentials belong to. |

### Request body

The request body contains an instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.credentials#AccountCredentials`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.credentials#AccountCredentials`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).